package org.kaoriha.jspbp.taglib;

import java.io.IOException;
import java.lang.reflect.InvocationTargetException;

import javax.servlet.jsp.JspException;
import javax.servlet.jsp.PageContext;

public class OptionTagAttr extends GlobalAttr {
	private String disabled;
	private String label;
	private String value;

	@Override
	protected void printPropertyAttr(PageContext pageContext, String name,
			Object value) throws IOException {
		// never
	}

	public void doEndTag(PageContext pageContext, String propertyValue,
			String content) throws IOException, IllegalAccessException,
			InvocationTargetException, NoSuchMethodException, JspException {
		pageContext.getOut().print("<option ");
		printAttrs(pageContext);
		if ((value == null && content.equals(propertyValue))
				|| (value != null && value.equals(propertyValue))) {
			pageContext.getOut().print("selected=\"selected\" ");
		}
		pageContext.getOut().print(">");
		pageContext.getOut().print(content);
		pageContext.getOut().print("</option>");
	}

	public String getDisabled() {
		return disabled;
	}

	public void setDisabled(String disabled) {
		this.disabled = disabled;
	}

	public String getLabel() {
		return label;
	}

	public void setLabel(String label) {
		this.label = label;
	}

	public String getValue() {
		return value;
	}

	public void setValue(String value) {
		this.value = value;
	}

}
