package org.kaoriha.jspbp.test;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.kaoriha.jspbp.BeforeGettable;
import org.kaoriha.jspbp.BeforePostable;

public class Test implements BeforeGettable, BeforePostable {
	public static boolean isCalled = false;
	public static boolean isPostCalled = false;
	public static Object continuation;

	public void beforeGet(HttpServletRequest request,
			HttpServletResponse response) throws IOException, ServletException {

		isCalled = true;
	}

	public void beforePost(HttpServletRequest request,
			HttpServletResponse response) throws IOException, ServletException {

		isPostCalled = true;
	}

	public void setContinuation(Object continuation) {
		Test.continuation = continuation;
	}
}
